Description

The patch intended to allow users to create custom queries using another query as template :)

Related issues:

Related to Redmine - Feature #3319: Copy/Duplicate a custom query/saved filter New 2009-05-07

Has duplicate Redmine - Feature #5858: Ability to create a new custom query b... Closed 2010-07-09

History

#1 - 2009-07-10 12:23 - Istvan DEMETER

I forgot to set the right tracker. Please move this issue to Patch

#2 - 2009-07-11 01:05 - Mischa The Evil

- Tracker changed from Defect to Patch

#3 - 2009-07-11 01:07 - Mischa The Evil

Looks like a useable feature to me. Will try it out soon and report back my feedback... Thanks for sharing this...

Kind regards,

Mischa.

#4 - 2010-09-12 06:55 - Burt Culver

Can this be merged into the tree?

#5 - 2010-09-16 01:27 - Felix Schäfer

- Category set to UI

Slightly changed the patch to not need an extra action. The added 'duplicate' button basically pre-fills stuff in the new query form with attributes from

the duplicated query. Commit here: http://github.com/thegcat/redmine/commit/24c12b20a3cd7428be940bf927e3d347a5a17bc1

#6 - 2010-09-23 17:26 - Eric Davis

Felix,

Can you add a test case or two for this new code?  Thanks.

#7 - 2010-09-23 19:01 - Felix Schäfer

Eric Davis wrote:

Can you add a test case or two for this new code?  Thanks.

 See the second commit in the branch here http://github.com/thegcat/redmine/commit/d9d8af051c8432eedc30c739ef24efaeacc80d6c, the whole

branch is here http://github.com/thegcat/redmine/commits/ro-3606.

#8 - 2014-02-27 11:13 - Andreas Steinel

Any news on this topic?

I just need this feature and I'm surprised, that it has not been added yet.

#9 - 2014-04-24 23:42 - Svyatoslav Ida
Just use this plugin https://bitbucket.org/svsool/query-duplicate-redmine-plugin

#10 - 2015-09-09 17:09 - Kevin Palm

+1

Should definitively be part of standard Redmine distribution

#11 - 2016-04-11 18:39 - Alessandro Zucchi

+1

Should definitively be part of standard Redmine distribution

#12 - 2016-05-31 12:10 - Or Adler

+10

When will this be released?

#13 - 2016-06-16 10:05 - Jaap de Haan

Already implemented: this can be already done by:

selecting the query to copy

perform changes (DO NOT click on Edit for this! just perform changes)

Click on Apply

Save

This way you get a new query based on the old one.

#14 - 2016-09-02 14:01 - Maxim Krušina

- Related to Feature #23739: Add ability to "Duplicate" / "Save as" custom queries added

#15 - 2016-09-05 18:10 - Toshi MARUYAMA

- Related to deleted (Feature #23739: Add ability to "Duplicate" / "Save as" custom queries)

#16 - 2017-03-20 06:30 - Pete Davis

Jaap de Haan wrote:

Already implemented: this can be already done by:

selecting the query to copy

perform changes (DO NOT click on Edit for this! just perform changes)

Click on Apply

Save

This way you get a new query based on the old one.

 Thank you - not sure why that was sooo not obvious. Seems I and others wrongly head down the Edit route
